<?php

namespace Drupal\password_policy_extras;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Overrides the default password_policy.validation_manager service.
 *
 * Failed to work properly in some cases, so we add to override the service in
 * the password_policy_extras.services.yml file.
 */
class PasswordPolicyExtrasServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    if ($container->hasDefinition('password_policy.validation_manager')) {
      $definition = $container->getDefinition('password_policy.validation_manager');
      $definition->setClass('Drupal\password_policy_extras\PasswordPolicyExtrasValidationManager');
    }
  }

}
